#!/usr/bin/env python

import sys
import os

import md2html

def print_usage():
    print(f"usage: python {sys.argv[0]} PATHS")
    print("")
    print("\t\PATHS\tpaths of input markdown files")


if len(sys.argv) < 2:
    print_usage()
    exit(1)

# we don't want to publish *everything* in the journal, so for now let's just
# hardcode the files we want.
files = sys.argv[1:]

# TODO: copy images
# TODO: separate md fromm images

for f in files:
    md2html.write_html(f)
    html_path = f.replace(".md", ".html")
    print(html_path)


